Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000287Core InformPropertiespublic2010-09-11 00:342010-10-28 00:30
Assigned Tograham 
Platformx86OSWindowsOS Version7
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000287: Unchecked access to properties not supported by a kind
DescriptionThere's no error message when reading a property from an object that doesn't provide it, or when writing an unprovided block-type property.
Minimal Source Text To Reproduce
Home is a room.
A direction has a number called the compass heading.
A person has indexed text called the nickname.
When play begins:
	say the compass heading of Home;
	change the nickname of Home to "Here";
	say the nickname of Home.
Additional InformationThe "obj provides pr" condition in GProperty prevents any runtime errors from being raised as long as obj is non-null. In this case, the call to WhetherProvides would have printed an error message:

[ GProperty K V pr obj;
if (K == OBJECT_TY) obj = V; else obj = KOV_representatives-->K;
if (obj == 0) { RunTimeProblem(RTP_PROPOFNOTHING, obj, pr); rfalse; }
if (obj provides pr) {
if (K == OBJECT_TY) {
if (pr == door_to) return;
if (WhetherProvides(V, false, pr, true)) return;
if ((V < 1) || (V > obj.value_range)) {
RunTimeProblem(RTP_BADVALUEPROPERTY); return 0; }
return (>(V+COL_HSIZE);
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000284closedjmcgrew Can't override properties with To decide phrases 

-  Notes
graham (administrator)
2010-09-27 14:20

Fixed; solution is simply to call WhetherProvides in all code paths not involving door_to, which of course behaves oddly for reasons going back to the old I6 library.

- Issue History
Date Modified Username Field Change
2010-09-11 00:34 jmcgrew New Issue
2010-09-11 00:35 jmcgrew Status new => acknowledged
2010-09-11 13:03 EmacsUser Status acknowledged => confirmed
2010-09-11 13:03 EmacsUser Relationship added related to 0000284
2010-09-27 14:20 graham Note Added: 0000603
2010-09-27 14:20 graham Status confirmed => resolved
2010-09-27 14:20 graham Resolution open => fixed
2010-09-27 14:20 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker